software-properties-gtk is not installed on Hardy Alpha 5

Bug #195121 reported by Oliver Gerlich on 2008-02-24
18
Affects Status Importance Assigned to Milestone
ubuntu-meta (Ubuntu)
High
Michael Vogt
xubuntu-meta (Ubuntu)
Undecided
Cody A.W. Somerville

Bug Description

Binary package hint: ubiquity

I made a fresh install of Hardy Alpha 5 iso in VirtualBox (on a newly created 8GB image). After that, I also installed all available updates (language-packs mostly, also some ncurses and other stuff). Everything went fine as it seems; but when using the installed system, I found that there was no system -> administration -> software sources icon available. Turned out that software-properties-gtk package is not installed at the moment; on IRC, I was told that other people have the package available in Alpha 5.

Is there a list of packages that _should_ be installed on the system, so I can compare if anything else is missing? And how can I debug this problem?

Details:
- when booting from the CD, I selected German language
- I selected the "Install Ubuntu" menu point in the CD boot menu, instead of using the Install icon in the Live CD
- the installer came up without any desktop behind; there was just the installer window on the screen

Savvas Radevic (medigeek) wrote :

confirming with an english installation, I installed it manually
but I think it's an ubuntu-desktop dependency bug

by the way, there was no error that the package did not exist or was not installed when it was ran through the menus.

Savvas Radevic (medigeek) wrote :

Another reason could be broken or not updated archive mirrors? I had rs.archive.ubuntu.com in my sources.list, I just switched to uk.archive.ubuntu.com and got a bunch of updates.

Installed using the Alpha 5 i386 desktop CD, English language, German mirror:

ubuntu ~ # apt-cache policy bash-completion software-properties-gtk
bash-completion:
  Installed: (none)
  Candidate: 20060301-1ubuntu1
  Version table:
     20060301-1ubuntu1 0
        500 http://de.archive.ubuntu.com hardy/main Packages
software-properties-gtk:
  Installed: (none)
  Candidate: 0.62ubuntu1
  Version table:
     0.62ubuntu1 0
        500 http://de.archive.ubuntu.com hardy/main Packages

Colin Watson (cjwatson) wrote :

gnome-app-install used to depend on software-properties-gtk, but doesn't any more. I think we should probably add it to the desktop seed so that it's there explicitly rather than as an accident of dependencies.

Changed in ubiquity:
importance: Undecided → High
status: New → Confirmed
Colin Watson (cjwatson) wrote :

14:17 <mvo> cjwatson: I added it as a recommends for synaptic, but it should probably go to the seeds as well
14:20 <cjwatson> mvo: yes, please do - I'll assign you the bug?
14:20 <mvo> cjwatson: yes, thanks

Changed in ubuntu-meta:
assignee: nobody → mvo
Michael Vogt (mvo) wrote :

I fixed this by adding it to the desktop seed explicitely:

revno: 1206
committer: Michael Vogt <email address hidden>
branch nick: ubuntu.hardy
timestamp: Mon 2008-02-25 15:28:59 +0000
message:
  desktop: add software-properties-gtk to the seeds

Changed in ubuntu-meta:
status: Confirmed → Fix Committed
Vincent (vinnl) wrote :

Michael, does that mean it isn't available yet in Xubuntu? I'm on Xubuntu Hardy Alpha 5 right now and it's not there. However, I take it Xubuntu has different seeds than Xubuntu. Could it be added to the Xubuntu seeds or should someone of the Xubuntu team do that?

revno: 746
committer: Cody A.W. Somerville <email address hidden>
branch nick: xubuntu.hardy
timestamp: Sun 2008-03-16 09:35:47 -0300
message:
  Added software-properties-gtk to desktop seed

Changed in xubuntu-meta:
assignee: nobody → cody-somerville
status: New → Fix Committed
Changed in xubuntu-meta:
status: Fix Committed → Fix Released
Colin Watson (cjwatson) wrote :

ubuntu-desktop 1.95 has this change.

Changed in ubuntu-meta:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers